/*
 *  TOPPERS/ASP Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Advanced Standard Profile Kernel
 * 
 *  Copyright (C) 2006-2012 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 * 
 *  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣ
 *  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *      դ뤳ȡ
 * 
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *  ФŬޤơʤݾڤԤʤޤܥեȥ
 *  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *  Ǥʤ
 * 
 *  @(#) $Id: unix_sigio.h 49 2012-09-06 04:41:53Z ertl-hiro $
 */

/*
 *		UNIXѥΥ֥åI/Oݡȥ⥸塼
 *
 */

#ifndef	TOPPERS_UNIX_SIGIO_H
#define	TOPPERS_UNIX_SIGIO_H

/*
 *  SIGIOϥɥϿΤ
 */
#define	INHNO_SIGIO		SIGIO			/* ߥϥɥֹ */
#define INTNO_SIGIO		SIGIO			/* ֹ */
#define INTPRI_SIGIO	TMAX_INTPRI		/* ͥ١ʺͥ١*/
#define INTATR_SIGIO	TA_EDGE			/* ° */

/*
 *  UNIXѥΥ֥åI/Oݡȥ⥸塼ν
 */
Inline void
unix_sigio_initialize(intptr_t exinf)
{
	T_CINT	cint;
	ER		ercd;

	/*
	 *  UNIXѥΥ֥åI/Oݡȥ⥸塼ν
	 *  unix_sigio.cfgν
	 *
	 *  CFG_INT(INTNO_SIGIO, { TA_ENAINT | INTATR_SIGIO, INTPRI_SIGIO });
	 */
	cint.intatr = TA_ENAINT | INTATR_SIGIO;
	cint.intpri = INTPRI_SIGIO;
	ercd = cfg_int(INTNO_SIGIO, &cint);
	assert(ercd == E_OK);
}

#endif /* TOPPERS_UNIX_SIGIO_H */
